<?php
/*
Plugin Name: WP-Reservation
Plugin URI: http://reservation.isaev.asia
Description: This WordPress plugin allows for the creation of own sites with a booking system. It can apply hostels and hotels on their websites. Activate plugin and create a page  which includes the text {RESERVATION}
Version: 0.7
Author: Alexey Isaev
Author URI: http://isaev.asia
*/
/*  Copyright 2009 Alexey  Isaev

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

//print_r($_REQUEST);



foreach($_REQUEST as $key => $value){
	if(get_magic_quotes_gpc()){$value = stripslashes($value);}
	if (is_array($value)) {
		foreach($value as $key2 => $value2){
			$_REQUEST[$key] = mysql_real_escape_string(trim($value2));
		} } }



define ("PLUGIN_DIR", basename(dirname(__FILE__)));
define ("PLUGIN_URL", get_settings("siteurl")."/wp-content/plugins/".PLUGIN_DIR);
define ("PLUGIN_PATH",ABSPATH."wp-content/plugins/".PLUGIN_DIR);
add_action("admin_init", "res_adm_init");
add_action("admin_menu", "res_menu");
add_action("admin_head", "res_add_head" );
add_action("wp_head", "res_add_head" );
add_action("show_user_profile", "show_user_fields");
add_action("edit_user_profile", "show_user_fields");
add_action("personal_options_update", "update_user_fields");
add_action("edit_user_profile_update", "update_user_fields");
add_filter("the_content","res_insert");
add_filter("plugin_action_links", "res_links", 10, 2 );
register_activation_hook(__FILE__,'activate');

$path_to_php_file_plugin = "wp-reservation/wp-reservation.php";
add_action("deactivate_" . $path_to_php_file_plugin, "deactivate"); 
add_action("activate_" . $path_to_php_file_plugin,  "activate"); 



$GLOBALS["version"] = "free";
if (file_exists(PLUGIN_PATH. '/wp-res-pro.php')) { require_once(PLUGIN_PATH. "/wp-res-pro.php" );  $GLOBALS["version"] = "pro";}

function res_adm_init() {
	if ($_REQUEST['page']=="resources")
	wp_enqueue_script('jquery-form');
	wp_enqueue_script('jqtreetable', PLUGIN_URL.'/js/jQTreeTable/jqtreetable.js');
	wp_enqueue_script('jquery-ui-dialog');
	wp_enqueue_script('jquery-ui-resizable');
	
	 	
	//<script src="'.PLUGIN_URL.'/js/jQTreeTable/jqtreetable.js" type="text/javascript"></script>';
	
}


function resLocale($locale = "") { 
	global $locale;
	
		$mofile = PLUGIN_PATH  .'/lang/'.PLUGIN_DIR.'-'.$locale.'.mo';
		return load_textdomain(PLUGIN_DIR, $mofile);
	
	if ( empty( $locale ) ) $locale = get_locale();
	if ( !empty( $locale ) ) {
		
		$mofile = PLUGIN_PATH  .'/lang/'.PLUGIN_DIR.'-'.$locale.'.mo';
		
		if (file_exists($mofile))    return load_textdomain(PLUGIN_DIR, $mofile);
		else                        return false;
	} return
	false;
}


if ( !function_exists('wp_sanitize_redirect') ) :
function wp_sanitize_redirect($location) {
	$location = preg_replace('|^a-z0-9-~+_.?#=&;,/:%!|i', '', $location);
	$location = wp_kses_no_null($location);

	
	$strip = array('%0d', '%0a', '%0D', '%0A');
	$location = _deep_replace($strip, $location);
	return $location;
}
endif;

function res_links($links, $file){ 
	
	static $this_plugin;
	if (!$this_plugin) $this_plugin = plugin_basename(dirname(__FILE__).'/wp-reservation.php');
	
	if ($file == $this_plugin){
		$settings_link1 = '<a href="admin.php?page='.$this_plugin.'settings">' . __('Settings', 'wp-reservation') . '</a>';
		$settings_link2 = '<a href="http://reservation.isaev.asia/donate">' . __('Donate!', 'wp-reservation') . '</a>';
		array_unshift( $links, $settings_link2 ); 
		array_unshift( $links, $settings_link1 ); 
	}
	return $links;
}

function show_user_fields($user)
{
	$content="";
	$content.='<h3>'.__("Дополнительные поля (wp-reservation)","wp-reservation").'</h3>
			<table class="form-table">';

	$phone = get_the_author_meta('phone', $user->ID);
	//print_r($poles);
	$content.='<tr>
					<th><label for="description">'.__("Телефон","wp-reservation").'</label></th>
					<td><input class="regular-text" type="text" name="phone" value="'.esc_attr($phone).'" /></td></tr>';
	$content.='</table>';
	echo $content;
}


function update_user_fields($user_id)
{
	update_usermeta($user_id, 'phone', esc_attr($_REQUEST["phone"]) );
}

function res_add_head()
{

resLocale() ;

	echo '
<script src="'.PLUGIN_URL.'/js/jscal2/jscal2.js" type="text/javascript"></script>
<script src="'.PLUGIN_URL.'/js/jscal2/lang/'.substr(get_locale(),0,2).'.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="'.PLUGIN_URL.'/css/calendar/jscal2.css" />
<link rel="stylesheet" type="text/css" href="'.PLUGIN_URL.'/css/calendar/border-radius.css" />
<link rel="stylesheet" type="text/css" href="'.PLUGIN_URL.'/css/calendar/'.get_option("res_calendar_color").'/'.get_option("res_calendar_color").'.css" />
<link rel="stylesheet" type="text/css" href="'.PLUGIN_URL.'/css/res/'.get_option("res_color").'/style.css" />
';
if (is_admin()) { echo '<link href="'.PLUGIN_URL.'/css/res/admin.css" rel="stylesheet" type="text/css" /> ';


}
}




function res_insert($content)
{
	if (preg_match('{RESERVATION}',$content))
	{
		$res_output = res_page();
		$content = str_replace('{RESERVATION}',$res_output,$content);
	}
	if (preg_match('{RESUSERPAGE}',$content))
	{
		$res_output = res_user_page();
		$content = str_replace('{RESUSERPAGE}',$res_output,$content);
	}
	return $content;
}


function res_page()
{


	
	
	

	echo <<<EOF
	<div class="reservation">
EOF;

	switch ($_REQUEST['pager']) {
	case '1': echo page1();        break ; 
	case '2': if (array_sum($_REQUEST['reskol'])==0) {echo "<div class=alert>".__("You must select at least one of the numbers","wp-reservation")."</div>"; echo page1();} else echo page2a();        break ; 
	case '3':  {
			if ($_REQUEST['alreadyreg']!=1) {
				$err="";
				if ($_REQUEST['last_name']=="") {
					$err .= __(" - Not specified (Name)","wp-reservation");
				}
				
				
				
				if ($_REQUEST['phone']=="") {
					$err .= __(" - Not specified (Telephone Number)","wp-reservation");
				}
				
				
				if (empty($_REQUEST['rules'])) {
					$err .= __(" - You must agree to the terms","wp-reservation");
				}
				

				
				if ($err!="") {
					$err = "<div class=alert>".__("When completing the form, the following error(s) occurred:","wp-reservation") . $err."</div>";
					echo($err); echo page2b();
				} else {		
					echo page3();
				} 
			} else echo page3(); }
		
		
		break ; 
		
		
	case '2b': { 	$err="";
			
			if ($_REQUEST['log']=="") {
				$err .= __(" - Not specified (email address)","wp-reservation");
			}
			
			if ($err!="") {
				$err = "<div class=alert>".__("When completing the form, the following error(s) occurred:","wp-reservation") . $err."</div>";
				echo($err); echo page2a();
			} else {
				if (!eregi("^[._a-zA-Z0-9-]+@[.a-zA-Z0-9-]+.[a-z]{2,6}$", $_REQUEST['log'])) {$err.= __("that isn&#8217;t a valid e-mail address.  E-mail addresses look like: <code>username@example.com</code>","wp-reservation");
					$err = "<div class=alert>".$err."</div>"; echo $err; echo page2a();
				} else {
					echo page2b();}
			} }         break ; 
		
	case 'mobcash': mobcash();        break ; 
	case 'sber': sber();        break ; 
	case 'sberprint': sberprint();        break ; 
	case 'webmoney': webmoney ();        break ; 
	case 'robokassa': robokassa ();        break ; 
	case 'nopay': echo "<div class=alert>".__("You have not chosen a payment system","wp-reservation")."</div>"; echo page3 ();break ; 
		
	default:  echo page0();        break;
	}

	echo <<<EOF
	</div>
EOF;

}


function update_table_ajax() {
	global $wpdb;
	if($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') {
		$time = date("H:i:s", time());
		header('Content-Type: text/html; charset=utf-8');
		//	print_r ($_REQUEST); exit;

		if (isset($_REQUEST['resourceid'])) {

			$qry="update ".$wpdb->prefix ."res_resources  set ";

			foreach ($_REQUEST as $key=>$value) {
				if ($key!="page" && !strpos($key,"id")) {
				if (($value)=='')  $value="NULL";
				$qry.=	" $key=$value ,";

				}
				if (strpos($key,"id")) $key_id=$key;	
			}
			$qry=substr($qry,0,-1).	" where $key_id='".$_REQUEST[$key_id]."' ";
			
			
			
			$wpdb->query($wpdb->prepare($qry) );

			echo '<img src="'.PLUGIN_URL.'/js/jQTreeTable/images/load.gif">';
			exit 	;


		}
	}	
}







function res_menu() {

global $submenu, $menu;              
resLocale() ;

if ( strpos($_SERVER['HTTP_HOST'],'isaev.asia') !== FALSE ) {$user_role_plugin = $user_role_settings  = 0 ; } else { $user_role_plugin = get_option("res_security_plugin") ; $user_role_settings = get_option("res_security_settings") ;}

update_table_ajax();



	add_menu_page(__("Reservation","wp-reservation"), __("Reservation","wp-reservation"), $user_role_plugin,"orders" , 'res_options',PLUGIN_URL."/img/ico16x16.png");
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Reserve","wp-reservation"), $user_role_plugin,"makeorder", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Resources","wp-reservation"), $user_role_plugin, "resources", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Special offers","wp-reservation"), $user_role_plugin, "offers", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Settings","wp-reservation"), $user_role_settings, "settings", 'res_options');
	$submenu[plugin_basename( "orders" )][0][0] = __("Orders","wp-reservation");	
    

	
	}




function res_options() {

echo '<div class="wrap">';
echo menu_admin();		
		
	
	if(isset($_REQUEST['page']))  switch ($_REQUEST['page']) {
		
		case "resources" : 	adm_resources(); break;
		case "orders" : 	adm_orders(); break;
		case "mail" : 		adm_mailbron(); break;
		case "suborder" : 	adm_suborder(); break;
		case "offers" : 	adm_offers(); break;
		case "settings"  :  adm_settings(); break;
		case "makeorder" : 		adm_makeorder0(); break;
		case "makeorder1" : 	adm_makeorder1();	 break;
		case "makeorder2" : 	adm_makeorder2();	 break;
	
	}
	else  
		adm_orders();
						
echo '</div>';			
			
	
	
}

function activate() 
{ 
	
	global $wpdb;

$table_name = $wpdb->prefix . "res_resources";	
$table_name_old = $wpdb->prefix . "res_typeroom";
$sqlresources = "INSERT INTO $table_name (resourceid, parent, name, price, capacity) VALUES
(100,0,'Demo resources',NULL ,NULL ),
(101,100,'Hotel New York',NULL ,NULL ),
(102,101,'Garden view rooms',NULL ,NULL ),
(103,102,'Room 201',18,3),
(104,102,'Room 203',14,2),
(105,102,'Room 204',16,2),
(106,101,'Sea view rooms',NULL ,NULL),
(107,106,'Room 302',10,5),
(108,106,'Room 304',9,6),
(109,100,'Hotel Sydney',NULL ,NULL),
(110,109,'Mountain views rooms',NULL ,NULL),
(111,110,'Room 111',25,2),
(112,110,'Room 112',25,2),
(113,100,'Athletic Gym',NULL ,NULL),
(114,113,'Pilates',NULL ,NULL),
(115,114,'Trainer - Kate',15,10),
(116,114,'Trainer - Alice',15,10),
(117,113,'Bodybuilding',NULL ,NULL),
(118,117,'Trainer - Max',20,4),
(119,100,'MaxHealth Clinic',NULL ,NULL),
(120,119,'Dentist',NULL ,NULL),
(121,120,'Dr. Dick',50,4),
(122,120,'Dr. Quick',50,4),
(123,100,'Car rental',NULL ,NULL),
(124,123,'Toyota',NULL ,NULL),
(125,124,'Camry',50,1),
(126,124,'Corolla',50,1),
(127,123,'Ford',NULL ,NULL),
(128,127,'Mondeo',50,1),
(129,127,'Focus',50,1),
(130,123,'Mitsubishi',NULL ,NULL),
(131,130,'Lancer',50,1),
(132,130,'L200',50,1); ";	

	
	
	if($wpdb->get_var("show tables like '$table_name'") != $table_name && $wpdb->get_var("show tables like '$table_name_old'")  != $table_name_old ) {
		$sql = "CREATE TABLE $table_name (
`resourceid` MEDIUMINT(9) NOT NULL AUTO_INCREMENT,
`parent` MEDIUMINT(9) NOT NULL  DEFAULT '0' ,
`name` TINYTEXT,
`price` DECIMAL(11,2) DEFAULT NULL,
`capacity` INTEGER(11) DEFAULT NULL,
PRIMARY KEY (`resourceid`)
)";
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
	

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sqlresources);		
}
	$table_name = $wpdb->prefix . "res_orders";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
`orderid` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL,
`price` DECIMAL(11,2) DEFAULT NULL,
`datebegin` DATE DEFAULT NULL,
`dateend` DATE DEFAULT NULL,
`comments` TEXT ,
`payed` TINYINT(4) DEFAULT NULL,
`paysys` MEDIUMINT(9) DEFAULT NULL,
PRIMARY KEY (`orderid`),
KEY `userid` (`userid`)
)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);		}
	
	$table_name = $wpdb->prefix . "res_orders_content";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
`id` MEDIUMINT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
`orderid` BIGINT(20) UNSIGNED NOT NULL,
`resourceid` MEDIUMINT(9) DEFAULT NULL,
`kol` INTEGER(11) DEFAULT NULL,
`price` DECIMAL(11,2) DEFAULT NULL,
PRIMARY KEY (`id`),
KEY `userid` (`orderid`)
)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);				}
	
	$table_name = $wpdb->prefix . "res_paysys";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
`paysysid` MEDIUMINT(9) NOT NULL AUTO_INCREMENT,
`name` TINYTEXT,
PRIMARY KEY (`paysysid`)
)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);	
		
		$sql = "	INSERT INTO $table_name (`paysysid`, `name`) VALUES
(1,'Qiwi'),
(2,'PayOnlineSystem'),
(3,'Sberbank'),
(5,'Webmoney'),
(4,'Robokassa'); ";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);	
	}
	$table_name = $wpdb->prefix . "res_offers";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
`id` MEDIUMINT(9) NOT NULL AUTO_INCREMENT,
`resourceid` MEDIUMINT(9) UNSIGNED NOT NULL,
`datebegin` DATE NOT NULL,
`dateend` DATE NOT NULL,
`price` DECIMAL(11,2) NOT NULL,
`description` TEXT ,
UNIQUE KEY `id` (`id`)
)";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);				
		
	$sql = "INSERT INTO $table_name (id,resourceid, datebegin, dateend, price, description ) VALUES
(1,1,'2010-03-01','2010-03-31',5,'March discount'),
(2,2,'2010-04-01','2010-04-30',5,'April discount'),
(3,3,'2010-05-01','2010-05-31',5,'May discount');";		
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);				
				
		}

	add_option("res_db_version", "0.7");
	add_option("res_calendar_color","gold");
	add_option("res_security_plugin","7");
	add_option("res_security_settings","10");

	if ($GLOBALS["version"]	== "pro") pro_add_settings();
	
	if (get_option("res_db_version")== "0.5" || get_option("res_db_version")== FALSE )
	{
	$table_name = $wpdb->prefix . "res_typeroom";
	$table_resources = $wpdb->prefix . "res_resources";
	$sql =("rename table $table_name to $table_resources");
	$wpdb->query($sql);				
	$sql =("alter table $table_resources CHANGE roomid resourceid MEDIUMINT(9), change places capacity INTEGER(11) DEFAULT NULL,  add  parent MEDIUMINT(9) NOT NULL  DEFAULT '0' after resourceid ,  drop minorder,  CHANGE price price INTEGER(11) DEFAULT NULL");
	$wpdb->query($sql);					
	$table_name = $wpdb->prefix . "res_orders_content";
	$sql =("alter table $table_name CHANGE roomid resourceid MEDIUMINT(9)");
	$wpdb->query($sql);					
	$table_name = $wpdb->prefix . "res_offers";
	$sql =("alter table $table_name CHANGE roomid resourceid MEDIUMINT(9)");
	$wpdb->query($sql);					
	$wpdb->query($sqlresources);				
	


	//$sql =("alter table $table_resources add column parent ");
	//$wpdb->query($sql);				

	update_option("res_db_version", "0.7");		
	}	;

}


function deactivate() 
{ 


}

function res_pass ()
{

	$fp = file ("pass.txt",1);
	return (trim($fp[rand(0,count($fp)-1)]));

}


function page0() {

	$today = date("Ymd");  $today2 = date("d.m.Y"); 
	
	

	$content = "";

	
	
	$content .= <<<EOF

	<p>
EOF
	.__('To see prices and availability, enter your arrival date and length of stay in the search form below.', 'wp-reservation').
	<<<EOF
	</p>





	
	<form name="res_order"  action="" method=post ><input type="hidden" name=pager value="1" >
	
	<input size="10" id="datebegin2" name="datebegin" value="$today2" /> <button id="f_btn2" onclick="return false;">...</button> 
	<select name=dateend class="koldays" > 
	<option value=1 >1</option>
	<option value=2 >2</option>
	<option value=3 >3</option>
	<option value=4 >4</option>
	<option value=5 >5</option>
	<option value=6 >6</option>
	<option value=7 >7</option>
	<option value=8 >8</option>
	<option value=9 >9</option>
	<option value=10 >10</option>
	<option value=11 >11</option>
	<option value=12 >12</option>
	<option value=13 >13</option>
	<option value=14 >14</option>
	</select>
	


	
	
	
	
	<input   type="submit" value="
EOF
.__("Continue","wp-reservation").
<<<EOF
	"   ></form>

	<script type="text/javascript">//<![CDATA[

	var cal = Calendar.setup({
onSelect: function(cal) { cal.hide() }
		,
min:$today 

		
		
		
	});
	cal.manageFields("f_btn2", "datebegin2", "%d.%m.%Y");


	//]]></script>	
	
EOF;

	return $content ;
};


function page1() {
	global $wpdb;
	$content = "";

	if ($_REQUEST['pager']	== 1) {
		list($day, $month, $year) = sscanf($_REQUEST['datebegin'], "%02d.%02d.%04d"); 
		$datebegin=$year."-". $month."-". $day;
		$dateend=date("Y-m-d",strtotime($datebegin)+($_REQUEST['dateend']-1)*24*60*60);
	} else {
		
		$datebegin=$_REQUEST['datebegin'];
		$dateend=$_REQUEST['dateend'];
	}



	$content .= "<p>".__("Please select the number of rooms you want to book, and the number of persons in your party.","wp-reservation")."</p>";

	
	

	$qry="select a.resourceid, name ,   
	(if ('$datebegin' >= d.datebegin and '$dateend'<= d.dateend, d.price, a.price)) price
	";

	$dt=strtotime ($datebegin);


	
	
	$bt = '<form name="res_order" id="res_order"  action="" method="post"> <table width=100% class="res" > <thead>	<tr ><td style=\"width:200px\" > </td>';
	while (strtotime($dateend)>=$dt)  {
		$qdt=date("Y-m-d",$dt);
		$qdtout=date("d/m",$dt);

		$qry.=",    capacity - sum(if ( '$qdt' between c.datebegin and c.dateend and payed=1, kol, 0)) `$qdt`  ";
		$bt .= "<td  >$qdtout</td>";
		$dt=$dt+24*60*60;
	}
	$bt .= '<td  >'.__("price","wp-reservation").'</td><td  >'.__("persons","wp-reservation").'</td></tr></thead>';
	$qry.="   from  
	".$wpdb->prefix . "res_orders  c
INNER JOIN  ".$wpdb->prefix . "res_orders_content   b 
ON (c.orderid =
	b.orderid)
	RIGHT JOIN  ".$wpdb->prefix . "res_resources   a ON (b.resourceid =
	a.resourceid)
	LEFT JOIN wp_res_offers d ON (d.resourceid = a.resourceid)
	where capacity>0
	group by name, a.resourceid, price ";



	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

	$rowflag=1;  $j=1;
	if (count($results)>0) {
		
		$content .= $bt;
		foreach ($results as $fld) {
			$content .= '<tr class="row'.$rowflag.'">';
			$k=1;
			$min=$fld[3];
			foreach ($fld as $fld2) {

				switch ($k) {
				case 1:   $room=$fld2; break;
				case 2: $content .= "<td >".$fld2."</td>"; break;
				case 3: $price = $fld2;  break;
//				case 4: $minorder = $fld2;  break;       
				default:  $content .= "<td >$fld2</td>"; if ($fld2<$min) $min=$fld2; break;
				}
				$k++;
			}

			$content .= '<td>'.$price.'</td><td><input type=hidden name=price['.$room.'] value="'.$price.'"><input type=hidden name=roomname['.$room.'] value="'.$fld[1].'">';
			
			//if ($minorder<=$min ) 
			{ 
				$content .= '<select col=30  name=reskol['.$room.']> <option value="0">'.__("Select").'</option>   ';
				if ($j>1) $javaif .= " && (obj.elements['reskol[$room]'].value==0) "  ; else $javaif = " (obj.elements['reskol[$room]'].value==0) ";
				for ($i=1;$i<=$min; $i++) {
					$content .= '<option value="'.$i.'">'.$i.'</option>';			
				}
				$content .= '</select>' ; 
			} 
			
			$content .= '</td></tr>';			
			$j++;
			$rowflag = $rowflag*(-1);

		}

		$content .= '</table><div align=right><input type="hidden" name=pager value="2" ><input type="hidden" name=datebegin value="'.$datebegin.'" ><input type="hidden" name=dateend value="'.$dateend.'" > <BR><input onclick="return checkForm();"  type="submit" value="'.__("Book now","wp-reservation").'"   ></div></form>';			

		$content .= <<<EOF
		<script language="javascript">
		<!--
		function checkForm() {
			var err = "";
			var obj = document.forms['res_order'];
			
			
			if ( true $javaif ) {
				err += "  ";
			}
			
			

			if (err!="") {
				err ="
EOF
				.__("You must select at least one of the numbers","wp-reservation").
				<<<EOF
				"	+ err;
				alert(err); return false;
			} else {

				return true;
			}
		}
		-->
		</script> 
EOF;
		
		
	}
	else $content .= "<p>".__("No information about free rooms","wp-reservation")."</p>";
	return $content ;
}

function page2a() {
	global $wpdb;
	$content = "";


	$content .= <<<EOF
	<script language="javascript">
	function checkForm() {
		var err = "";
		var obj = document.forms['res_order'];
		
		
		if (obj.log.value=="") {
			err += " - Not specified (email address)";
		}
		

		if (err!="") {
			err = "
EOF
			.__("When completing the form, the following error(s) occurred:","wp-reservation").
<<<EOF
" + err;
			alert(err); return false;
		} else {
			if (isValidEmail(obj.log.value, true)) {
				return true; } else { err = "
EOF
	.__("that isn&#8217;t a valid e-mail address.  E-mail addresses look like: <code>username@example.com</code>","wp-reservation").
<<<EOF
				" ;
				alert(err); return false; } 
		}
	}
	function isValidEmail (email, strict)
	{
		if ( !strict ) email = email.replace(/^\s+|\s+$/g, '');
		return (/^([a-z0-9_\-]+\.)*[a-z0-9_\-]+@([a-z0-9][a-z0-9\-]*[a-z0-9]\.)+[a-z]{2,4}$/i).test(email);
	}	
	</script> 
EOF;
	$dateend=date("Y-m-d",strtotime($datebegin)+($_REQUEST['dateend']-1)*24*60*60);
	$datebegin=date("d.m.Y",strtotime($_REQUEST['datebegin']));
	$dateend=date("d.m.Y",strtotime($_REQUEST['dateend']));

	
	$content .= '<br>'.sprintf(__("Your order from %s to %s ","wp-reservation"),$datebegin,$dateend).
	'<table class="res" width="400" >
	<thead>
	<tr >
	<th width=100>'.__("room","wp-reservation").'</th>
	<th width=100>'.__("persons","wp-reservation").'</th>
	<th width=100>'.__("price","wp-reservation").'</th>
	</tr>
	</thead>
';




	
	$reskol=$_REQUEST['reskol'];
	$price=$_REQUEST['price'];
	$roomname=$_REQUEST['roomname'];
	$rowflag=1; $sumprice=0;
	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		$content .= "<tr class=\"row$rowflag\" ><td>".$roomname[$key]."</td><td>".$value."</td><td>".$price[$key]."</td></tr>";
		$rowflag = $rowflag*(-1); $sumprice+=$reskol[$key]*$price[$key];
	}
	$content .= "<tr class=\"row$rowflag\" ><td colspan=2 >".__("Total","wp-reservation")." </td><td>$sumprice</td></tr>";
	$content .= "</table>";
	
	$hidden="";		
	$hiddenget="?nvar=0";		
	$sumprice=0;
	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		
		$sumprice+=$reskol[$key]*$price[$key];
		$hidden .= "<input type=\"hidden\" name=\"reskol[$key]\" value=\"$value\" >";
		$hidden .= "<input type=\"hidden\" name=\"price[$key]\" value=\"".$price[$key]."\" >";
		$hidden .= "<input type=\"hidden\" name=\"roomname[$key]\" value=\"".$roomname[$key]."\" >";
		
		$hiddenget .= "&reskol[$key]=".urlencode($value);
		$hiddenget .= "&price[$key]=".urlencode($price[$key]);
		$hiddenget .= "&roomname[$key]=".urlencode($roomname[$key]);
		
		
	}
	
	$hidden .= "<input type=\"hidden\" name=pager value=\"2b\" >";
	$hidden .= "<input type=\"hidden\" name=\"datebegin\" value=\"".$_REQUEST['datebegin']."\" >";
	$hidden .= "<input type=\"hidden\" name=\"dateend\" value=\"".$_REQUEST['dateend']."\" >";
	$hiddenget .= "&datebegin=".urlencode($_REQUEST['datebegin']);
	$hiddenget .= "&dateend=".urlencode($_REQUEST['dateend']);
	$hiddenget .= "&pager=2b";

	{ 
		$content .= '<p>'.__("Enter your email","wp-reservation").'</p> 
<form action="" method="post" name="res_order">

	<table width=400  ><tr><td width=200><label for="log">Email</label></td><td><input type="text" name="log" id="log" value="'. wp_specialchars(stripslashes($user_login), 1) .'" size="20" /></td></tr>
	

	<tr><td></td><td><input type="submit" name="submit" value="'.__("Continue","wp-reservation").'" onclick="return checkForm();" class="button" /></td></tr></table>

	<p>
	<input name="rememberme" id="rememberme" type="hidden"  value="forever" /> 
	<input type="hidden" name="redirect_to" value="'. $_SERVER['REQUEST_URI'] .''.($hiddenget).'" />
	</p> 
'.$hidden.'	 
</form>
<!--<a href="'. get_option('home'). '/wp-login.php?action=lostpassword">Recover password</a>-->';
	} 

	
	
	return $content;
}


function page2b() {
	global $wpdb;
	$content = "";

	$hidden="";		
	$hiddenget="?nvar=0";		
	$reskol=$_REQUEST['reskol'];
	$price=$_REQUEST['price'];
	$roomname=$_REQUEST['roomname'];
	
	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		
		$sumprice+=$reskol[$key]*$price[$key];
		$hidden .= "<input type=\"hidden\" name=\"reskol[$key]\" value=\"$value\" >";
		$hidden .= "<input type=\"hidden\" name=\"price[$key]\" value=\"".$price[$key]."\" >";
		$hidden .= "<input type=\"hidden\" name=\"roomname[$key]\" value=\"".$roomname[$key]."\" >";
		
		$hiddenget .= "&reskol[$key]=".urlencode($value);
		$hiddenget .= "&price[$key]=".urlencode($price[$key]);
		$hiddenget .= "&roomname[$key]=".urlencode($roomname[$key]);
		
		
	}
	$hidden .= "<input type=\"hidden\" name=pager value=\"3\" >";
	$hidden .= "<input type=\"hidden\" name=\"datebegin\" value=\"".$_REQUEST['datebegin']."\" >";
	$hidden .= "<input type=\"hidden\" name=\"dateend\" value=\"".$_REQUEST['dateend']."\" >";
	$hiddenget .= "&datebegin=".urlencode($_REQUEST['datebegin']);
	$hiddenget .= "&dateend=".urlencode($_REQUEST['dateend']);
	$hiddenget .= "&pager=3";
	$hiddenget .= "&alreadyreg=1";

	
	
	$dateend=date("Y-m-d",strtotime($datebegin)+($_REQUEST['dateend']-1)*24*60*60);
	$datebegin=date("d.m.Y",strtotime($_REQUEST['datebegin']));
	$dateend=date("d.m.Y",strtotime($_REQUEST['dateend']));

	$content .= '<br>'.sprintf(__("Your order from %s to %s ","wp-reservation"),$datebegin,$dateend).'	
	<table class="res" width="400" >
	<thead>
	<tr >
	<th width=100>'.__("room","wp-reservation").'</th>
	<th width=100>'.__("persons","wp-reservation").'</th>
	<th width=100>'.__("price","wp-reservation").'</th>
	</tr>
	</thead>
';



	$rowflag=1; $sumprice=0;
	
	
	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		$content .= "<tr class=\"row$rowflag\" ><td>".$roomname[$key]."</td><td>".$value."</td><td>".$price[$key]."</td></tr>";
		$rowflag = $rowflag*(-1); $sumprice+=$reskol[$key]*$price[$key];
	}
	$content .= "<tr class=\"row$rowflag\" ><td colspan=2 >".__("Total","wp-reservation")."</td><td>$sumprice</td></tr>";
	$content .= "</table>";
	
	
	require_once ( ABSPATH . WPINC . '/registration.php' );	
	
	if (username_exists($_REQUEST['log']))
	
	{
		
		$hiddenget .= "&alreadyreg=1";
		$content .= sprintf(__('<p>Mail us <b>% s </ b> is already registered in the system, enter your password and click "Login"</p>',"wp-reservation"),$_REQUEST['log']); 
		$content .= '<form action="'. get_option("home").'/wp-login.php" method="post">

	<table width=400  >

	<tr><td><label for="pwd">'.__("Password","wp-reservation").'</label></td><td><input type="hidden" name="log" id="log" value="'. wp_specialchars(stripslashes($_REQUEST['log']), 1) .'" size="20" /><input type="password" name="pwd" id="pwd" size="20" /></td></tr>

	<tr><td></td><td><input type="submit" name="submit" value="'.__("Login","wp-reservation").'" class="button" /></td></tr></table>

	<p>
	<input name="rememberme" id="rememberme" type="hidden"  value="forever" /> 
	
	<input type="hidden" name="redirect_to" value="'. $_SERVER['REQUEST_URI'] .''.($hiddenget).'" />
	</p> 
'.$hidden.'	 
</form>
<a href="'. get_option('home'). '/wp-login.php?action=lostpassword">'.__("Lost Password","wp-reservation").'</a>';


		
	}
	
	
	
	
	else 
	{
		

		$content .= <<<EOF
		<script language="javascript">
		function checkForm() {
			var err = "";
			var obj = document.forms['res_order'];
			if (obj.last_name.value=="") {
				err += "
EOF
.__(" - Not specified (Name)","wp-reservation").
<<<EOF
			";
			}
			
			
			
			if (obj.phone.value=="") {
				err += "
EOF
.__(" - Not specified (Telephone Number)","wp-reservation").
<<<EOF
			";
			}
			

			
			if (obj.rules.checked==false) {
				err += "
EOF
.__(" - You must agree to the terms","wp-reservation").
<<<EOF
			";
			}

			if (err!="") {
				err = "
EOF
.__("When completing the form, the following error(s) occurred:","wp-reservation").
<<<EOF
			" + err;
				alert(err); return false;
			} else {return true;
				
			}
		}

		</script> 
EOF;

		$content .= '<form name="res_order" id="res_order" action="" method="post"> ';
		
		
		$content .= $hidden." <br><p>".__("Enter your personal data","wp-reservation")."</p>";
		$content .= "<table width=400  >
<tr ><td width=200>".__("Last name")."</td><td><input type=text name=last_name value=\"".$_REQUEST['last_name']."\"></td></tr>
<tr ><td>".__("First name")."</td><td><input type=text name=first_name value=\"".$_REQUEST['first_name']."\"></td></tr>
<tr ><td>".__("Middle name","wp-reservation")."</td><td><input type=text name=middle_name value=\"".$_REQUEST['middle_name']."\"></td></tr>
<tr ><td>".__("Arrival","wp-reservation")."</td><td><input type=text name=arrival value=\"".$_REQUEST['arrival']."\"></td></tr>
<tr ><td>".__("Phone","wp-reservation")."</td><td><input type=text name=phone value=\"".$_REQUEST['phone']."\"></td></tr>
<tr ><td>".__("I agree with the terms of booking","wp-reservation")."</td><td><input type=checkbox name=rules></td></tr>
<tr ><td> </td><td><input type=\"submit\" value=\"".__("Continue","wp-reservation")."\" onclick=\"return checkForm();\" ></td></tr>
</table>
<input type=hidden name=email value=\"".$_REQUEST['log']."\">
</form>

";
	}




	
	return $content;
}

function page3() {
	global $wpdb, $current_user;

	$content = "";
	$content .= "<h3>".__("Order created","wp-reservation")."</h3>";
	
	if ($_REQUEST['pager']!="nopay") {


		if ($_REQUEST['alreadyreg']!=1 ) {
			$passgen=res_pass();
			require_once ( ABSPATH . WPINC . '/registration.php' );	

			

			$userid=wp_insert_user (array(
			'user_login'	=> $_REQUEST['email'],
			'user_nicename'	=> $_REQUEST['email'],
			'user_email'	=> $_REQUEST['email'],
			'user_url'		=> 'http://',
			'display_name'	=> $_REQUEST['email'],
			'user_pass' => $passgen,
			'first_name' =>  $_REQUEST['first_name']." ".$_REQUEST['middle_name'],
			'last_name' =>  $_REQUEST['last_name']
			));
			
			
			//$qry ="insert into ".$wpdb->usermeta." (user_id, meta_key, meta_value) values ('$userid','phone','".$_REQUEST['phone']."')";
			//$wpdb->query($wpdb->prepare($qry) );
update_usermeta($userid, 'phone', $_REQUEST['phone'] );
			
			
			$content .= sprintf(__("<p> For your order to create an account. </p> <p> Your login <b>%s</b> <br> your password <b>%s</b> </p>","wp-reservation"),$_REQUEST['email'],$passgen);
			
			wp_mail(  get_userdata( $userid )->user_email , __("Registration on ","wp-reservation").  get_bloginfo('name') , sprintf(__("Thank you for your order! For your order to create an account. Your Login %s Your password %s","wp-reservation"),$_REQUEST['email'],$passgen));
			
		} 
		else 
		{
			$userid=$current_user->ID;
		}

		wp_set_current_user( $userid );

		$reskol=$_REQUEST['reskol'];
		$price=$_REQUEST['price'];

		foreach ($_REQUEST['reskol'] as $key=>$value )
		{
			$sumprice+=$reskol[$key]*$price[$key];

		}

if (isset($_REQUEST['arrival'])) $arrival=__("Arrival","wp-reservation")." ".$_REQUEST['arrival'];
			
		
		$qry ="insert into ".$wpdb->prefix . "res_orders"." (userid, price, datebegin, dateend, comments) values ('".$userid."','$sumprice','".$_REQUEST['datebegin']."','".$_REQUEST['dateend']."','".$arrival."')";
		

		$wpdb->query($wpdb->prepare($qry) );	
		$orderid= mysql_insert_id();

		foreach ($_REQUEST['reskol'] as $key=>$value )
		{
			if ($reskol[$key]>0 ) {
				$qry ="insert into ".$wpdb->prefix . "res_orders_content"." (orderid, resourceid, kol, price) values ('$orderid','$key','$reskol[$key]','$price[$key]')";
				$wpdb->query($wpdb->prepare($qry) );	}
		}
		

		
	}

	$content .= <<<EOF

	<script language="javascript">
	function checkForm() {
		var err = "";
		var obj = document.forms['res_order'];

		
		//alert(obj.pager.length);
		for (i=0;i<obj.pager.length;i++){
			//alert(obj.pager[i].value);
			if (obj.pager[i].checked==true) {
				err += "1";
			}
		}

		if (err!="") {
			return true;
		} else {
			err = "
EOF
.__("You have not chosen a payment system","wp-reservation").
<<<EOF
			" ;
			alert(err);
			return false; } 
	}
	

	</script> 

	<form name="res_order" id="res_order" method="post" action="">
	<input type="hidden" name=summa value="$sumprice" >
	<input type="hidden" name=orderid value="$orderid" >
	<input type="hidden" name="pager" value="nopay" />
EOF;


	$reskol=$_REQUEST['reskol'];
	$price=$_REQUEST['price'];
	$roomname=$_REQUEST['roomname'];
	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		$content .= "<input type=\"hidden\" name=\"reskol[$key]\" value=\"$value\" >";
		$content .= "<input type=\"hidden\" name=\"price[$key]\" value=\"".$price[$key]."\" >";
		$content .= "<input type=\"hidden\" name=\"roomname[$key]\" value=\"".$roomname[$key]."\" >";
	}
	$content .= "<input type=\"hidden\" name=\"datebegin\" value=\"".$_REQUEST['datebegin']."\" >";
	$content .= "<input type=\"hidden\" name=\"dateend\" value=\"".$_REQUEST['dateend']."\" >";


	if ($GLOBALS["version"]	!= "pro") $content.="<b>".__("Thank you for your order","wp-reservation")."</b>";
	else $content .= pro_paysys_list();
	$content .= '</form>';

	return $content;	
}

/////////////////////////////////////////////////////////////////////////////
//					Admin page section						//
/////////////////////////////////////////////////////////////////////////////


function menu_admin () {
	global $wpdb;
	$qry="select count(resourceid)   from  ".$wpdb->prefix . "res_resources";
	$resources=$wpdb->get_var($wpdb->prepare($qry) );
	
	$qry="select count(orderid)   from  ".$wpdb->prefix . "res_orders";
	$ordersall=$wpdb->get_var($wpdb->prepare($qry) );

	$qry="select count(orderid)   from  ".$wpdb->prefix . "res_orders where payed>0";
	$orderspayed=$wpdb->get_var($wpdb->prepare($qry) );
	
	$qry="select count(id)   from  ".$wpdb->prefix . "res_offers";
	$sp_offers=$wpdb->get_var($wpdb->prepare($qry) );


	$pageadr=$_REQUEST['page'];
	if ($_REQUEST["page"]) $divid=$_REQUEST["page"]; else $divid="orders";
	if ($_REQUEST["page"]=="suborder" || $_REQUEST["page"]=="mail") $divid="orders";
	if ($_REQUEST["page"]=="makeorder1" || $_REQUEST["page"]=="makeorder2")  $divid="makeorder";
	$content = '
	<div id="'.$divid.'">
	<br>
	<ul id="tabnav">
	<li class="tab1"><a href="?page=orders">'.sprintf(__("Orders (total: %s | paid: %s)","wp-reservation"),$ordersall,$orderspayed).'</a></li>
	<li class="tab2"><a href="?page=makeorder">'.__("Reserve","wp-reservation").'</a></li>
	<li class="tab3"><a href="?page=resources">'.__("Resources","wp-reservation").' ('.$resources.')</a></li>
	<li class="tab4"><a href="?page=offers">'.__("Special offers","wp-reservation").' ('.$sp_offers.')</a></li>
	<li class="tab5"><a href="?page=settings">'.__("Settings","wp-reservation").'</a></li>
	</ul>
	</div>
';


	
	return 	$content;
}

function adm_mailbron()
{
	$content="";
	$var = $_REQUEST;
	foreach ( $var as $key => $value ) {
		$$key = trim(htmlspecialchars(strip_tags($value)));}

	

	if ($_REQUEST['message']) 
	{
		wp_mail(  $_REQUEST['to'] , $_REQUEST['subject'], $_REQUEST['message']);
		$content .= "<div class=alert>".__("Message sent","wp-reservation")."</div>"		 ;
	}


	$content.=
	__("Name","wp-reservation").': <b>'.$last_name.' '.$first_name.'</b> , '.__("Order","wp-reservation").' <b>#'.$orderid.'</b> , '.__("Price","wp-reservation").' <b>'.$price.'</b>, '.__("Date start","wp-reservation").' <b>'.$datebegin.'</b> '.__("to","wp-reservation").' <b>'.$dateend.'</b>
	<hr class=res>
	<form action="" method=post>
	'.__("To","wp-reservation").'<br>
	<input type=text name="to" value="'.get_userdata($_REQUEST['userid'])->user_email.'" style="width:515px">
	<br>'.__("Subject","wp-reservation").'<br>
	<input type=text name=subject style="width:515px">
	<br>'.__("Message","wp-reservation").'<br>
	<textarea cols=70 rows=10 name=message></textarea>
	<br><input type=submit class="button-primary" value="'.__("Send","wp-reservation").'">
';

	echo $content;
}

function adm_settings()
{
	global $wpdb;

	$content="";

	
	if ($_REQUEST['change_settings']) {

		update_option("res_color",$_REQUEST["res_color"]) ;
		update_option("res_calendar_color",$_REQUEST["res_calendar_color"]) ;
		update_option("res_security_plugin",$_REQUEST["res_security_plugin"]) ;
		update_option("res_security_settings",$_REQUEST["res_security_settings"]) ;
		if ($GLOBALS["version"] == "pro")	{ pro_update_settings(); }
		
		echo "<div class=alert>".__("Settings saved","wp-reservation")."</div>"		 ;
		
	}

	$role_list= array ("Administrator"=>10,"Editor"=>7,"Author"=>2,"Contributor"=>1,"Subscriber"=>0);

	$content .= '
	<h2>'.__("Settings","wp-reservation").'</h2>
	<form id="form1" name="form1" method="post" action="">	';
	
	$content .= '
	<br>
	<h3>'.__("Design settings","wp-reservation").'</h3>
	<form id="form1" name="form1" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>
	<tr>
	<td>'.__("Plugin colors (CSS)","wp-reservation").'</td>
	<td><select name="res_color" id="settings">
	
	';
	$pathcss=PLUGIN_PATH.'/css/res/';
	if ($handle = opendir($pathcss)) {
		while (false !== ($file = readdir($handle))) { 
			if (is_dir($pathcss.$file) && $file !== '.' && $file !== '..') {  
			if ($file==get_option("res_color")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.'>'.$file;
			}
		}
	closedir($handle);
	}

	//<td><input type="text" name="res_color"  size=49  value="'.get_option("res_color") .'" /></td>
	$content .= '</select></td>	
	</tr>
	<tr>
	<td>'.__("Calendar colors (CSS)","wp-reservation").'</td>
	<td><select name="res_calendar_color" id="settings">
	';
	$pathcss=PLUGIN_PATH.'/css/calendar/';
	if ($handle = opendir($pathcss)) {
		while (false !== ($file = readdir($handle))) { 
			if (is_dir($pathcss.$file) && $file !== '.' && $file !== '..' && $file !== 'img') {  
			if ($file==get_option("res_calendar_color")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.'>'.$file;
			}
		}
	closedir($handle);
	}
	//<td><input type="text" name="res_calendar_color"  size=49  value="'.get_option("res_calendar_color") .'" /></td>
$content .= '	
	</select></td>	
	</tr></table>
	<br>
	<h3>'.__("Security settings","wp-reservation").'</h3>
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>
	<tr><td>'.__("User access level to plugin","wp-reservation").'</td><td><select  name="res_security_plugin" id="settings">';
	reset($role_list);
while (list ($key, $val)=each($role_list)){
if ($val==get_option("res_security_plugin")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.' value="'.$val.'">'.translate_user_role($key);
}
	
	$content .= '</select></td></tr>
	<tr><td>'.__("User access level to settings","wp-reservation").'</td><td><select  name="res_security_settings" id="settings">';
	reset($role_list);
while (list ($key, $val)=each($role_list)){
if ($val==get_option("res_security_settings")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.' value="'.$val.'">'.translate_user_role($key);
}
	
	$content .= '</select></td></tr></table>';
	
	if ($GLOBALS["version"] == "pro")	$content .= pro_settings();
	
	$content .= '<div class="tablenav">

	<div class="alignleft actions">
	<input type="hidden" value="1" name="change_settings" >
	<input type="submit" value="'.__("Save","wp-reservation").'" name="doaction2" id="doaction2" class="button-primary" />
	</div>

	<br class="clear" />
	</div>
	</form>';
	echo $content;
}

function get_directory_list($path) 
{ 
   if(is_dir($path)){ 
       $dh = opendir($path); 
       while (false !== ($dir = readdir($dh))) { 
           if (is_dir($path . $dir) && $dir !== '.' && $dir !== '..') { 
               $subdir = $path . $dir . '/'; 
               return $subdir . "&#092;n"; 
               get_directory_list($subdir); 
           } else { 
               next; 
           } 
       } 
       closedir($dh); 
   } else { 
       return __("Styles not found","wp-reservation"); 
   } 
}


function treesort ($arr)
{

	for ($i=0;$i<count($arr)-1;$i++) {
		$flag=$i;
		for ($j=$i+1;$j<count($arr);$j++) {
			if ($arr[$j][1]==$arr[$i][0]) 
			{
				array_splice($arr,$flag+1,0,array(($arr[$j])));
				unset($arr[$j+1]);
				$arr = array_values($arr);			
				$flag=$flag+1;
			}
			//echo $j."-".$arr[$j][0]."<br>";
		}
		//echo "<br>";

	}


$map=array();		
	for ($k=0;$k<count($arr);$k++)	
	{	
		if ($arr[$k][1]==0) array_push($map,0);
		$z=1;
		foreach($arr as $key) {
			if($arr[$k][1]==$key[0]) {
				array_push($map,$z);
			}
			$z++;
		}

	}	
	
	
	return array($arr, $map);
}
	
	





function adm_resources ()
{
	global $wpdb;
	$content="";
	
	$qry ="select  resourceid, parent , name, price, capacity from ".$wpdb->prefix . "res_resources order by resourceid";
	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );
	list($results,$map)=treesort($results);
	//print_r($map);	
	
	if ($_REQUEST['action']=="add") {
	if (empty($_REQUEST['price'])) $_REQUEST['price']=0;
	if (empty($_REQUEST['capacity'])) $_REQUEST['capacity']=1;
		$qry ="insert into ".$wpdb->prefix . "res_resources"." (parent, name,  price, capacity) values ('".$_REQUEST['idradd']."','".$_REQUEST['name']."','".$_REQUEST['price']."','".$_REQUEST['capacity']."')";
		$wpdb->query($wpdb->prepare($qry) );
		$qry = "update ".$wpdb->prefix . "res_resources set price=NULL, capacity=NULL where resourceid='".$_REQUEST['idradd']."'";
		$wpdb->query($wpdb->prepare($qry) );
		foreach($map as $key=>$value) {
			if ($results[$value-1][0]>0) {
				$qry = "update ".$wpdb->prefix . "res_resources set price=NULL, capacity=NULL where resourceid='".$results[$value-1][0]."'";
				//echo $qry."<br>";
				$wpdb->query($wpdb->prepare($qry) );
			}
		}
		$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {

		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="update ".$wpdb->prefix . "res_resources"." set name= '".$_REQUEST['name'][$key]."' ,  price = '".$_REQUEST['price'][$key]."' ,  capacity = '".$_REQUEST['capacity'][$key]."'  where resourceid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete") {
		$flag=0;
		foreach ($map as $key=>$value) {
			if ($results[$key][0]==$_REQUEST['idrdel'] || $flag>0) { 
				if ($flag==0) {$fmap=$value; $flag +=1;}
				if ($fmap==$value && $flag>1 || $fmap>$value) break; else $flag += 1;
				$qry ="delete from ".$wpdb->prefix . "res_resources"."  where resourceid='".$results[$key][0]."' ";
				$wpdb->query($wpdb->prepare($qry) );
			}
		}
		echo "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>"		 ;
	}

	$qry ="select  resourceid, parent , name, price, capacity from ".$wpdb->prefix . "res_resources order by resourceid";
	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );
	$x=1;
	list($results,$map)=treesort($results);	
	
	$content .= '
	<h2>'.__("Resources","wp-reservation").'</h2>	';

	wp_enqueue_script('jquery-form');
	
	
	require_once(PLUGIN_PATH."/js/jQTreeTable/jqtreetable.php");

	
	 
$options = '{openImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/fop.png", shutImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/fcl.png", leafImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/item.png", lastOpenImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/fop.png", lastShutImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/fcl.png", lastLeafImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/item.png", vertLineImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/blank.gif", blankImg: "'.PLUGIN_URL.'/js/jQTreeTable/images/blank.gif", collapse: false, column: 1, striped: true, highlight: true, state:true}';
//$tbodyid = "treet1";


   $head = array(__("Row","wp-reservation")."&nbsp;&nbsp;&nbsp;", __("Name","wp-reservation"), __("Price","wp-reservation"),  __("Capacity","wp-reservation") , __("Operations","wp-reservation"));
    

    for ($i=0; $i<count($head); $i++){
    	$headrow .= '<th>'.$head[$i].'</th>';
    }
    $headrow ='<tr>'.$headrow.'</tr>';
	
	

	
	foreach ($results as $fld) {

      
      $tabstr .= '<tr><td><form id="treeform'.$fld[0].'" action="" method="post"><input type="hidden" name="resourceid" value="'.$fld[0].'">'.($x).'</td><td>&nbsp; <input name="name" id="name'.$fld[0].'" value="'.$fld[2].'"></td><td><input name="price" id="price'.$fld[0].'" value="'.$fld[3].'"></td><td><input name="capacity" id="capacity'.$fld[0].'" value="'.$fld[4].'"></td><td><div><a href="#" id="delitem'.$fld[0].'" ><img src="'.PLUGIN_URL.'/js/jQTreeTable/images/del.png"></a></div><div id="soutput'.$fld[0].'"><input type="image" src="'.PLUGIN_URL.'/js/jQTreeTable/images/save.png" class="submit_form"></div><div id="toutput'.$fld[0].'"><img src="'.PLUGIN_URL.'/js/jQTreeTable/images/tick.png" ></div><div id="loutput'.$fld[0].'"><img src="'.PLUGIN_URL.'/js/jQTreeTable/images/load.gif"></div><div><a href="#" id="additem'.$fld[0].'" ><img src="'.PLUGIN_URL.'/js/jQTreeTable/images/add.png"></a></div></form></td></tr>'."\n";
$outarr.="$fld[0],";
	  $x++;
	  
    }
$tbodyid = "treet";	
$str=	('<table class="tablemain"><thead>'.$headrow."</thead>\n<tfoot>".$headrow."</tfoot>\n".'<tbody id="'.$tbodyid.'">'.$tabstr."</tbody></table>\n");
$outarr="[".substr($outarr,0,-1)."]";

 $content .= <<<EOF
	<script type="text/javascript">
	jQuery(function() {
	var  outarr=$outarr;
	
for(i=0;i<=
EOF
.($x-2).
<<<EOF
;i++) {

	jQuery("#soutput"+outarr[i]).hide();	
	jQuery("#loutput"+outarr[i]).hide();	
	}
var name = jQuery("#name"),idradd=jQuery("#idradd"),idrdel=jQuery("#idrdel")
allFields = jQuery([]).add(name).add(idradd).add(idrdel);	
		jQuery("#dialogadd").dialog({
			bgiframe: true,
			height: 240,
			modal: true,
			autoOpen: false,
			buttons: {
				'Cancel': function() {
				allFields.val('').removeClass('ui-state-error');
					jQuery(this).dialog('close');
				},
				'Save': function() {
				document.formadd.submit();
				allFields.val('').removeClass('ui-state-error');
				
					jQuery(this).dialog('close');
				}
			},
			open: function() {
				idradd.val(Id).removeClass('ui-state-error');
			}
			,
			close: function() {
				allFields.val('').removeClass('ui-state-error');
			}
		});
		jQuery("#dialogdel").dialog({
			bgiframe: true,
			height: 240,
			modal: true,
			autoOpen: false,
			buttons: {
				'No': function() {
				 allFields.val('').removeClass('ui-state-error');
					jQuery(this).dialog('close');
				},
				'Yes': function() {
				document.formdel.submit();
				allFields.val('').removeClass('ui-state-error');
				
					jQuery(this).dialog('close');
				}
			},
			open: function() {
				idrdel.val(Id).removeClass('ui-state-error');
			}
			
		});


jQuery('a').click(function() {
var element = jQuery(this);
Id = element.attr("id");

if (Id.replace(/additem.*/,'additem')=="additem") {
Id=Id.replace(/^[^\d]+/,'');
jQuery('#dialogadd').dialog('open');

}
if (Id.replace(/delitem.*/,'delitem')=="delitem") {
Id=Id.replace(/^[^\d]+/,'');
jQuery('#dialogdel').dialog('open');
}
			})	;		
	});
	
	</script>



<div id="dialogadd" title="
EOF
.__("Adding resource","wp-reservation").
<<<EOF
">
	<p>
EOF
.__("Please input a resource name","wp-reservation").
<<<EOF
</p>
	<form action="" method="post"  name="formadd"><input name="name" id="name" size="33" value=""><input type="hidden" name="idradd" id="idradd" value=""><input type="hidden" name="action"  value="add"></form>
	
</div>

<div id="dialogdel" title="
EOF
.__("Deleting resource","wp-reservation").
<<<EOF
">
	<p>
EOF
.__("Are you sure you want to delete this entry, will also remove all children resources","wp-reservation").
<<<EOF
</p>
	<form action="" method="post"  name="formdel"><input type="hidden" name="idrdel" id="idrdel" value=""><input type="hidden" name="action"  value="delete"></form>
	
</div>
EOF;

$map=implode(", ", $map);


$body = $str;
$jq = new jQTreeTable();
   
//$tbodyid="treet3";
//$map="0, 0, 2, 3, 4, 4, 6, 4, 2, 9, 10, 0";
$vars = $jq->init($map,$options,$tbodyid);
  $content .= '<script type="text/javascript">
{'.$vars[0].'}
    </script>
'.$body;

$content .= <<<EOF
<script type="text/javascript">
jQuery('input').keypress(function() {
var element = jQuery(this);
Id = element.attr("id");
Id=Id.replace(/^[^\d]+/,'');
jQuery("#toutput"+Id).hide();
jQuery("#soutput"+Id).show();
});

jQuery('form').submit(function() { 
  var element = jQuery(this);
  Idelement = element.attr("id");
  Id=Idelement.replace(/^[^\d]+/,'');
   var options = { 
    target: "#loutput"+Id,
    beforeSubmit: showRequest, 
    success: showResponse, 
    timeout: 3000 
  };
    jQuery(this).ajaxSubmit(options); 
	if (Idelement=="addresource") return true; else
	  return false;
  }); 


function showRequest(formData, jqForm, options) { 


jQuery("#loutput"+Id).show();
jQuery("#soutput"+Id).hide();	
    var queryString = jQuery.param(formData); 
    return true; 
} 

function showResponse(responseText, statusText)  { 
jQuery("#loutput"+Id).hide();	 
jQuery("#toutput"+Id).show();	

}

</script>
EOF;


	echo $content;
}

function adm_orders()
{
	global $wpdb;

	$content="";
	
	if ($_REQUEST['add_order']) {
		$qry ="insert into ".$wpdb->prefix . "res_resources"." (name, price) values ('".$_REQUEST['name']."','".$_REQUEST['price']."')";
		$wpdb->query($wpdb->prepare($qry) );
		$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;
	}


	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="update ".$wpdb->prefix . "res_orders"." set price = '".$_REQUEST['price'][$key]."' ,  datebegin = '".$_REQUEST['datebegin'][$key]."' ,  dateend = '".$_REQUEST['dateend'][$key]."',  comments = '".$_REQUEST['comments'][$key]."',  payed = '".$_REQUEST['payed'][$key]."' where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_orders"."  where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$qry ="delete from ".$wpdb->prefix . "res_orders_content"."  where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );


		}
		echo "<div class=alert>Selected records deleted</div>"		 ;
	}





	$content .= '
	<h2>'.__("Orders","wp-reservation").'</h2>

	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" style="">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th width=20>№</th>
	<th>'.__("Client","wp-reservation").'</th>
	<th>'.__("Cost","wp-reservation").'</th>
	<th>'.__("Start date","wp-reservation").'</th>
	<th>'.__("End date","wp-reservation").'</th>
	<th>'.__("Comment","wp-reservation").'</th>
	<th>'.__("Payment System","wp-reservation").'</th>
	<th width=30>'.__("Paid","wp-reservation").'</th>
	</tr>
	</thead>
';

	$qry="select orderid, userid , price , datebegin, dateend, comments , paysys, name,  payed,
max((if(meta_key = 'first_name', meta_value, NULL ))) first_name,
max((if(meta_key = 'last_name', meta_value, NULL ))) last_name,
max((if(meta_key = 'nickname', meta_value, NULL ))) nickname from
".$wpdb->prefix . "usermeta inner join ".$wpdb->prefix . "res_orders on (userid = user_id)
left join ".$wpdb->prefix . "res_paysys on (paysys = paysysid)
where meta_key in ('first_name','last_name','nickname' )
group by orderid, userid , price , datebegin, dateend, comments , paysys, payed,name
";


	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_A);

	$pageadr=$_REQUEST['page'];
	if (count($results)>0) {
		$i=1;
		foreach ($results as $fld) {

			extract($fld);

			$payedadder="";
			if ($payed > 0) $payedadder="checked";

			$content .= <<<EOF
			<tr>    <th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$orderid" /></th>
			<td><a href="?page=$pageadr&page=suborder&userid=$userid&last_name=$last_name&first_name=$first_name&price=$price&datebegin=$datebegin&dateend=$dateend&orderid=$orderid">$orderid</a></td>
			<td><input type="hidden" name="orderid[$i]" value="$orderid" />
			<input type="hidden" name="userid[$i]" value="$userid" />
			<a href="user-edit.php?user_id=$userid" title="$nickname">$last_name $first_name</a>
			<a href="?page=$pageadr&page=mail&userid=$userid&last_name=$last_name&first_name=$first_name&price=$price&datebegin=$datebegin&dateend=$dateend&orderid=$orderid"><img src="images/comment-grey-bubble.png"></a> 


			</td>
			<td><input type="hidden" name="price[$i]" value="$price"  />$price</td>
			<td><input type="text" name="datebegin[$i]" value="$datebegin"  /></td>
			<td><input type="text" name="dateend[$i]" value="$dateend"  /></td>
			<td><input type="text" name="comments[$i]" value="$comments"  /></td>
			<td>$name</td>
			<td><input type="checkbox" $payedadder name="payed[$i]" value="1"  /></td>

			</tr>
EOF;
			$i++;
		}
	}


	$content .= '

	</table>

	<div class="tablenav">

	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions","wp-reservation").'</option>
	<option value="edit">'.__("Change","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>

	<br class="clear" />
	</div>	
	
	</form>
';
	echo $content;
}


function adm_suborder()
{
	global $wpdb;

	$var = $_REQUEST;
	foreach ( $var as $key => $value ) {
		$$key = trim(htmlspecialchars(strip_tags($value)));}

	$content="";

	if ($_REQUEST['add_sub_order']) {
		if ($_REQUEST['resourceid'] == -1 or $_REQUEST['kol']== "" or $_REQUEST['price']=="") { $content .= "<div class=alert>".__("To add a record, you must specify all the parameters. Record was not added.","wp-reservation")."</div>"; } else {
			$qry ="insert into ".$wpdb->prefix . "res_orders_content"." (orderid, resourceid, kol, price) values ('".$_REQUEST['orderid']."','".$_REQUEST['resourceid']."','".$_REQUEST['kol']."','".$_REQUEST['price']."')";
			$wpdb->query($wpdb->prepare($qry) );
			$qry ="update ".$wpdb->prefix . "res_orders"." set price = price + '".$_REQUEST['kol']*$_REQUEST['price']."' where orderid='".$_REQUEST['orderid']."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;}
	}

	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {
		$summ=0;$summold=0;
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="update ".$wpdb->prefix . "res_orders_content"." set resourceid= '".$_REQUEST['resourceid'][$key]."' ,  price = '".$_REQUEST['price'][$key]."' ,  kol = '".$_REQUEST['kol'][$key]."' where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$summ+=$_REQUEST['kol'][$key]*$_REQUEST['price'][$key];
			$summold+=$_REQUEST['oldkol'][$key]*$_REQUEST['oldprice'][$key];
		}
		$qry ="update ".$wpdb->prefix . "res_orders"." set price = price+ ( ".($summ-$summold)." )where orderid='".$_REQUEST['orderid'][$key]."' ";	
		
		$wpdb->query($wpdb->prepare($qry) );

		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		$summold=0;
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_orders_content"."  where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$summold+=$_REQUEST['oldkol'][$key]*$_REQUEST['oldprice'][$key];
		}
		$qry ="update ".$wpdb->prefix . "res_orders"." set price = price - '".$summold."' where orderid='".$_REQUEST['orderid'][$key]."' ";
		$wpdb->query($wpdb->prepare($qry) );	
		echo "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>"		 ;
	}


	$qryso= "select resourceid, name  from  ".$wpdb->prefix . "res_resources ";  	
	$resso=$wpdb->get_results($wpdb->prepare($qryso), ARRAY_N );

	$select=createselectoption ($fld[2], $resso, "resourceid",__("Select","wp-reservation"))	;

	$content .= '
	<h2>'.__("Composition of order","wp-reservation").' №'.$orderid.'</h2>
	<h3>'.__("Adding record","wp-reservation").'</h3>
	<form id="form1" name="form1" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th>'.__("Resources","wp-reservation").'</th>
	<th >'.__("Reserved beds","wp-reservation").'</th>
	<th>'.__("Price per bed","wp-reservation").'</th>
	</tr>
	</thead>
	<tr>
	<td>'.$select.'<input type="hidden" name="orderid" value='.$orderid.' /></td>
	<td><input type="text" name="kol"  /></td>
	<td><input type="text" name="price"  /></td>
	


	</tr>
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<input type="hidden" value="1" name="add_sub_order" >
	<input type="submit" value="'.__("Add","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />

	</div>

	<br class="clear" />
	</div>
	</form>

	<h3>'.__("Changing records","wp-reservation").'</h3>
	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th>'.__("Resources","wp-reservation").'</th>
	<th >'.__("Reserved beds","wp-reservation").'</th>
	<th>'.__("Price per bed","wp-reservation").'</th>
	
	</tr>
	</thead>
';

	$qry="select id, orderid, b.resourceid, name ,  kol,  b.price  from  ".$wpdb->prefix . "res_orders_content b
INNER JOIN ".$wpdb->prefix . "res_resources a ON (a.resourceid = b.resourceid) where orderid=$orderid";
	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

	if (count($results)>0) {
		$i=1;$kolm=0;$summ=0;
		foreach ($results as $fld) {
			$select=createselectoption ($fld[2], $resso, "resourceid[$i]","")	;
			$content .= <<<EOF
			<tr>    <th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$fld[0]" /></th>
			<td><input type="hidden" name="id[$i]" value="$fld[0]" /><input type="hidden" name="orderid[$i]" value="$fld[1]" />$select </td>
			<td><input type="hidden" name="oldkol[$i]" value="$fld[4]"  /><input type="text" name="kol[$i]" value="$fld[4]"  /></td>
			<td><input type="hidden" name="oldprice[$i]" value="$fld[5]"  /><input type="text" name="price[$i]" value="$fld[5]"  /></td>
			
			</tr>
EOF;
			$kolm+=$fld[4];
			$summ+=$fld[4]*$fld[5];
			$i++;
		}
	}

	$content .= '
	<tfoot>
	<tr>
	<th > </th>
	<th>'.__("Total","wp-reservation").'</th>
	<th > '.__("beds","wp-reservation").': '.$kolm.'</th>
	<th>'.__("price","wp-reservation").': '.$summ.'</th>
	
	</tr>
	</tfoot>
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions","wp-reservation").'</option>
	<option value="edit">'.__("Change","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>	
	
	<br class="clear" />
	</div>

	</form>
';

	echo $content;
}

function createselectoption ($id, $arr, $name, $first)
{
	$content="<select name=$name>";
	if (($first)!="") $content.="<option $adder value=\"-1\">$first</option>";
	foreach ($arr as $opt) {
		if ($opt[0]==$id) $adder="selected"; else $adder="";
		$content.="<option $adder value=\"$opt[0]\">$opt[1]</option>";
		
	}
	$content.=	"</select>";
	return $content;
}

function adm_makeorder0() {

	$today = date("Ymd");  $today2 = date("d.m.Y"); 
	
	$content = "";

	$content .= <<<EOF
<h2>
EOF
	.__("Reserve","wp-reservation").
	<<<EOF
	</h2>
	<p>
EOF
	.__("To see prices and availability, enter your arrival date and length of stay in the search form below.","wp-reservation").
	<<<EOF
	</p>
	
	<form name="res_order"  action="" method=post ><input type="hidden" name=page value="makeorder1" >
	
	<input size="10" id="datebegin2" name="datebegin" value="$today2" /> <button class="button-primary" id="f_btn2" onclick="return false;">...</button> 
	<select  name=dateend class="koldays" > 
	<option value=1 >1</option>
	<option value=2 >2</option>
	<option value=3 >3</option>
	<option value=4 >4</option>
	<option value=5 >5</option>
	<option value=6 >6</option>
	<option value=7 >7</option>
	<option value=8 >8</option>
	<option value=9 >9</option>
	<option value=10 >10</option>
	<option value=11 >11</option>
	<option value=12 >12</option>
	<option value=13 >13</option>
	<option value=14 >14</option>
	</select>
	


	
	
	
	
	<input  class="button-primary"  type="submit" value="
EOF
.__("Continue","wp-reservation").
<<<EOF
	"   ></form>

	<script type="text/javascript">//<![CDATA[

	var cal = Calendar.setup({
onSelect: function(cal) { cal.hide() }
		,
min:$today 

		
		
		
	});
	cal.manageFields("f_btn2", "datebegin2", "%d.%m.%Y");


	//]]></script>	
	
EOF;

	echo $content ;
};

function adm_makeorder1() {
	global $wpdb;
	$content = "";

	if ($_REQUEST['page']	== "makeorder1") {
		list($day, $month, $year) = sscanf($_REQUEST['datebegin'], "%02d.%02d.%04d"); 
		$datebegin=$year."-". $month."-". $day;
		$dateend=date("Y-m-d",strtotime($datebegin)+($_REQUEST['dateend']-1)*24*60*60);
	} else {
		
		$datebegin=$_REQUEST['datebegin'];
		$dateend=$_REQUEST['dateend'];
	}
	


	$content .= "<p>".__("Please select the number of rooms you want to book, and the number of persons in your party.","wp-reservation")."</p>";

	
	

	$qry="select a.resourceid, name ,   a.price ";
	
	$dt=strtotime ($datebegin);
	
	
	
	$bt = '<form name="res_order" id="res_order"  action="" method="post"> <table class="widefat page fixed" width=100%  > <thead>	<tr ><th style=\"width:200px\" > </th>';
	while (strtotime($dateend)>=$dt)  {
		$qdt=date("Y-m-d",$dt);
		$qdtout=date("d/m",$dt);

		$qry.=",    capacity - sum(if ( '$qdt' between datebegin and dateend , kol, 0)) `$qdt`  ";
		$bt .= "<th  >$qdtout</th>";
		$dt=$dt+24*60*60;
	}
	$bt .= '<th  >'.__("price","wp-reservation").'</th><th  >'.__("persons","wp-reservation").'</th></tr></thead>';
	$qry.="   from  
	".$wpdb->prefix . "res_orders  c
INNER JOIN  ".$wpdb->prefix . "res_orders_content   b 
ON (c.orderid =
	b.orderid)
	RIGHT JOIN  ".$wpdb->prefix . "res_resources   a ON (b.resourceid =
	a.resourceid)
	where capacity>0 
		group by name, a.resourceid, a.price ";

	

	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

	$rowflag=1;  $j=1;
	if (count($results)>0) {
		
		$content .= $bt;
		foreach ($results as $fld) {
			$content .= '<tr class="row'.$rowflag.'">';
			$k=1;
			$min=$fld[3];
			foreach ($fld as $fld2) {

				switch ($k) {
				case 1:   $room=$fld2; break;
				case 2: $content .= "<td >".$fld2."</td>"; break;
				case 3: $price = $fld2;  break;
				default:  $content .= "<td >$fld2</td>"; if ($fld2<$min) $min=$fld2; break;
				}
				$k++;
			}
			
			$content .= '<td>'.$price.'</td><td><input type=hidden name=price['.$room.'] value="'.$price.'"><input type=hidden name=roomname['.$room.'] value="'.$fld[1].'">';
			
			//if ($minorder<=$min ) 
			{ 
				$content .= '<select col=30  name=reskol['.$room.']> <option value="0">'.__("select","wp-reservation").'</option>   ';
				if ($j>1) $javaif .= " && (obj.elements['reskol[$room]'].value==0) "  ; else $javaif = " (obj.elements['reskol[$room]'].value==0) ";
				for ($i=1;$i<=$min; $i++) {
					$content .= '<option value="'.$i.'">'.$i.'</option>';			
				}
				$content .= '</select>' ; 
			} 
			
			$content .= '</td></tr>';			
			$j++;
			$rowflag = $rowflag*(-1);

		}

		$content .= '<tr><td colspan='.(count($fld)-2).'></td><td align=right><br><input onclick="return checkForm();"  type="submit" value="'.__("Book now","wp-reservation").'"   ></td></tr></table><div align=right><input type="hidden" name=page value="makeorder2" ><input type="hidden" name=datebegin value="'.$datebegin.'" ><input type="hidden" name=dateend value="'.$dateend.'" > <BR></div></form>';			

		$content .= <<<EOF
		<script language="javascript">
		<!--
		function checkForm() {
			var err = "";
			var obj = document.forms['res_order'];
			
			
			if ( true $javaif ) {
				err += "  ";
			}
			
			

			if (err!="") {
				err = "
EOF
.__("You must select at least one of the numbers","wp-reservation").
<<<EOF
				" + err;
				alert(err); return false;
			} else {

				return true;
			}
		}
		-->
		</script> 
EOF;
		
		
	}
	else $content .= "<p>".__("No information about free rooms","wp-reservation")."</p>";
	echo $content ;
}

function adm_makeorder2 () {
	global $wpdb;
	$content = "";

	$reskol=$_REQUEST['reskol'];
	$price=$_REQUEST['price'];

	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		$sumprice+=$reskol[$key]*$price[$key];

	}

	$qry ="insert into ".$wpdb->prefix . "res_orders"." (userid, price, datebegin, dateend) values ('1','$sumprice','".$_REQUEST['datebegin']."','".$_REQUEST['dateend']."')";
	
	
	$wpdb->query($wpdb->prepare($qry) );	
	$orderid= mysql_insert_id();

	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		if ($reskol[$key]>0 ) {
			$qry ="insert into ".$wpdb->prefix . "res_orders_content"." (orderid, resourceid, kol, price) values ('$orderid','$key','$reskol[$key]','$price[$key]')";
			$wpdb->query($wpdb->prepare($qry) );	}
	}

	$content.=	"<p>".__("Created an order","wp-reservation")." №$orderid </p>";
	echo $content;
}

function adm_offers()
{
	global $wpdb;

	$var = $_REQUEST;
	foreach ( $var as $key => $value ) {
		$$key = trim(htmlspecialchars(strip_tags($value)));}

	$content="";
	
	if ($_REQUEST['add_offers']) {
		if ($_REQUEST['resourceid'] == -1 or $_REQUEST['price']== "" or $_REQUEST['datebegin']=="" or $_REQUEST['dateend']=="" ) { $content .= "<div class=alert>".__("To add a record, you must specify all the parameters. Record was not added.","wp-reservation")."</div>"; } else {
			$qry ="insert into ".$wpdb->prefix . "res_offers"." (resourceid, price, datebegin, dateend , description) values ('".$_REQUEST['resourceid']."','".$_REQUEST['price']."','".$_REQUEST['datebegin']."','".$_REQUEST['dateend']."','".$_REQUEST['description']."')";
			$wpdb->query($wpdb->prepare($qry) );
			
			$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;}
	}

	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {
		
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="update ".$wpdb->prefix . "res_offers"." set resourceid= '".$_REQUEST['resourceid'][$key]."' ,  price = '".$_REQUEST['price'][$key]."' ,  datebegin = '".$_REQUEST['datebegin'][$key]."',   dateend = '".$_REQUEST['dateend'][$key]."',  description = '".$_REQUEST['description'][$key]."' where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			
		}
		
		
		

		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		$summold=0;
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_offers"."  where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			
		}
		
		echo "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>"		 ;
	}


	$qryso= "select resourceid, name  from  ".$wpdb->prefix . "res_resources ";  	
	$resso=$wpdb->get_results($wpdb->prepare($qryso), ARRAY_N );

	$select=createselectoption ($fld[2], $resso, "resourceid",__("select","wp-reservation"))	;

	$content .= '
	<h2>'.__("Special offers","wp-reservation").'</h2>
	<h3>'.__("Adding record","wp-reservation").'</h3>
	<form id="form1" name="form1" method="post" action="">
	<table class="widefat page fixed" >
	<thead>
	<tr >
	<th>'.__("Resources","wp-reservation").'</th>
	<th>'.__("Price per bed","wp-reservation").'</th>	
	<th>'.__("Start date","wp-reservation").'</th>	
	<th>'.__("End date","wp-reservation").'</th>	
	<th>'.__("Comment","wp-reservation").'</th>	
	</tr>
	</thead>
	<tr>
	<td>'.$select.'</td>
	<td><input type="text" name="price"  /></td>
	<td><input type="text" name="datebegin"  /></td>
	<td><input type="text" name="dateend"  /></td>
	<td><input type="text" name="description"  /></td>
	


	</tr>
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<input type="hidden" value="1" name="add_offers" >
	<input type="submit" value="'.__("Add","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />

	</div>

	<br class="clear" />
	</div>
	</form>

	<h3>'.__("Changing records","wp-reservation").'</h3>
	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" >
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th>'.__("Resources","wp-reservation").'</th>
	<th>'.__("Price per bed","wp-reservation").'</th>	
	<th>'.__("Start date","wp-reservation").'</th>	
	<th>'.__("End date","wp-reservation").'</th>	
	<th>'.__("Comment","wp-reservation").'</th>	

	
	</tr>
	</thead>
';


	$qry="select id, b.resourceid,  b.price, datebegin, dateend,description  from  ".$wpdb->prefix . "res_offers b
INNER JOIN ".$wpdb->prefix . "res_resources a ON (a.resourceid = b.resourceid)" ;
	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );


	

	
	
	

	if (count($results)>0) {
		$i=1;$kolm=0;$summ=0;
		foreach ($results as $fld) {
			$select=createselectoption ($fld[1], $resso, "resourceid[$i]","")	;
			$content .= <<<EOF
			<tr>    <th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$fld[0]" /></th>
			<td><input type="hidden" name="id[$i]" value="$fld[0]" />$select </td>
			<td><input type="text" name="price[$i]" value="$fld[2]"  /></td>
			<td><input type="text" name="datebegin[$i]" value="$fld[3]"  /></td>
			<td><input type="text" name="dateend[$i]" value="$fld[4]"  /></td>
			<td><input type="text" name="description[$i]" value="$fld[5]"  /></td>
			
			</tr>
EOF;
			$kolm+=$fld[4];
			$summ+=$fld[4]*$fld[5];
			$i++;
		}
	}



	$content .= '
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions","wp-reservation").'</option>
	<option value="edit">'.__("Change","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>	

	<br class="clear" />
	</div>

	</form>
';

	echo $content;
}


?>